This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 737335 - [BACKEND] VM dynamic table contains unused columns that should be removed.
[BACKEND] VM dynamic table contains unused columns that should be removed.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Vinzenz Feenstra [evilissimo]
Israel Pinto
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-11 03:45 EDT by Yaniv Lavi (Dary)
Modified: 2016-04-19 21:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 35505 master MERGED Remove unused columns guest_last_log{in,out}_time from database Never

  None (edit)
Description Yaniv Lavi (Dary) 2011-09-11 03:45:06 EDT
Description of problem:
VM dynamic table contains unused columns that should be removed. 
These columns are:
vm_last_up_time, vm_last_boot_time, guest_cur_user_id, guest_last_login_time, guest_last_logout_time


Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
always[BACKEND] VM dynamic table contains
Comment 1 Itamar Heim 2012-12-11 01:42:53 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Yaniv Lavi (Dary) 2012-12-12 04:42:35 EST
Still relevant reopening.



Yaniv
Comment 5 Itamar Heim 2014-01-05 05:14:53 EST
I think last_up_time is used now.
not sure about the rest.
michal - is this planned for 3.4?
Comment 6 Michal Skrivanek 2014-01-07 02:49:37 EST
aren't the guest_* fields in use as well?
Comment 7 Vinzenz Feenstra [evilissimo] 2014-01-07 03:10:00 EST
(In reply to Michal Skrivanek from comment #6)
> aren't the guest_* fields in use as well?

The only value currently really in use is guest_last_login_time and even that seems questionable.
Comment 9 Michal Skrivanek 2014-08-22 09:01:36 EDT
this bug won't fit into 3.5 release and is being deferred to a later release. If you deeply care about this bug and deserves to be re-evaluated please let me know
Comment 10 Vinzenz Feenstra [evilissimo] 2015-03-05 02:37:35 EST
Merged to upstream master
Comment 11 Israel Pinto 2015-04-30 10:24:38 EDT
Verify with 3.6:
oVirt Engine Version: 3.6.0-0.0.master.20150412172306.git55ba764.el6
Steps to check:
1. Connect DB on engine:
su - postgres
psql engine
2. View vm_dynamic table columns:
engine-# \d+ vm_dynamic
3. Check that the columns(vm_last_up_time, vm_last_boot_time, guest_cur_user_id, guest_last_login_time, guest_last_logout_time) not appear in table

All the request columns are removed

Note You need to log in before you can comment on or make changes to this bug.